Pular para o conteúdo

Atualizações da entrega

Requisição

Host: Keeta. Use em entrega do merchant. Mesmo bloco deliveryTrackingInfo de Pedido despachado (aqui obrigatório), com dois acréscimos:

  • event.type aceita também PICKUP_ONGOING, ARRIVED_AT_MERCHANT, ORDER_PICKED;
  • eta aceita pickupEtaInMinutes e pickupEtaDatetime.
{
  "deliveryTrackingInfo": {
    "event": { "type": "ARRIVED_AT_CUSTOMER", "datetime": "2026-10-13T21:22:00Z" },
    "geoLocalization": {
      "latitude": -23.5874, "longitude": -46.6343,
      "lastAddress": { "country": "BR", "state": "BR-SP", "city": "São Paulo", "district": "Vila Mariana",
                       "street": "Rua Domingos de Morais", "postalCode": "04010-100",
                       "distanceToPickup": "3200", "distanceToDelivery": "0", "timestamp": "2026-10-13T21:22:00Z" }
    }
  }
}

202. Erros: 400, 401, 403, 404, 422, 503.

Segurança
OAuth2(Escopos obrigatórios: od.all) and Sig
Caminho
orderIdstringobrigatório

The unique identifier of the order. The order ID is generated by Keeta.

Corpoapplication/json
deliveryTrackingInfoobject(DeliveryTrackingInfo)obrigatório

Informações sobre a pessoa designada para entregar o pedido.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/tracking' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "deliveryTrackingInfo": {
      "event": {
        "type": "PICKUP_ONGOING",
        "message": "string",
        "datetime": "2019-08-24T14:15:22Z"
      },
      "problem": {
        "reason": "DELIVERYPERSON_OCCURRENCE",
        "message": "string",
        "datetime": "2019-08-24T14:15:22Z"
      },
      "vehicle": {
        "type": [
          "MOTORBIKE_BAG"
        ],
        "licencePlate": "string"
      },
      "eta": {
        "pickupEtaInMinutes": 0,
        "pickupEtaDatetime": "2019-08-24T14:15:22Z",
        "deliveryEtaInMinutes": 0,
        "deliveryEtaDatetime": "2019-08-24T14:15:22Z",
        "maxDeliveryTime": "2019-08-24T14:15:22Z"
      },
      "deliveryPerson": {
        "id": "string",
        "name": "string",
        "pictureURL": "string"
      },
      "geoLocalization": {
        "latitude": -23.54809,
        "longitude": -46.63638,
        "lastAddress": {
          "country": "BR",
          "state": "BR-SP",
          "city": "São Paulo",
          "district": "Moema",
          "street": "Plaza Avenue",
          "postalCode": "20111-000",
          "distanceToPickup": "string",
          "distanceToDelivery": "string",
          "timestamp": "2019-08-24T14:15:22Z"
        }
      },
      "externalTrackingURL": "string"
    }
  }'

Respostas

Request has been accepted for processing.

Resposta
Nenhum conteúdo